#declare BUBBLE =
object {
  difference {
    sphere {<0 0 0> .5}
    sphere {<0 0 0> 0.499}  // very very very thin bubble wall
  }
  texture{
    spotted           // for the oily swirl on the surface.
    turbulence 1.5    // mix it up pretty good.
    ior 1.15           // bend the light just ever so slightly.
    reflection 0.1   // wierd huh?...
    refraction 0.9
    phong 0.2         // make sure the phong is not overpowering.
    phong_size 20     // the phong mostly exposes the outline of the bubble.
    colour_map {      // here's the red/blue/green oily swirl color map.
      [0.000 0.333   colour red  1.000  green  0.970  blue  0.970  alpha  1
                     colour red  0.970  green  0.970  blue  1.000  alpha  1]
      [0.333 0.666   colour red  0.970  green  0.970  blue  1.000  alpha  1
                     colour red  0.970  green  1.000  blue  0.970  alpha  1]
      [0.666 1.000   colour red  0.970  green  1.000  blue  0.970  alpha  1
                     colour red  1.000  green  0.970  blue  0.970  alpha  1] 
    }
  }
bounded_by { sphere { <0 0 0> 0.5} }
}

